
Redmine - Defect #6292

diff view differences options broken

2010-09-04 22:30 - diafza diafza

Status: Closed Start date: 2010-09-04

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 1.0.1

Description

recently upgrade from 0.9.3 to 1.0.1

if you pick either "view differences" options in a diff

it comes back as a 404?

History

#1 - 2010-09-04 22:52 - diafza diafza

also gave it a try on the installation here, gives another unexpected side effect

when looking at one file if you pick those options it suddenly jumps to diff of the whole revisions collection of files

#2 - 2010-09-05 02:15 - Jean-Baptiste Barth

- Category set to SCM

- Affected version (unused) set to 1.0.1

- Affected version set to 1.0.1

Please read SubmittingBugs and provide requested informations. For the 404, please also provide the log for this specific request, it can help us find

where's the problem. Maybe there's something special in your installation..

#3 - 2010-09-05 11:53 - diafza diafza

i seem to have figured it out, the path of the file is using hex separator %2F rather then the ascii equivalent /

because the page seems to load fine when i change them to /

in the redmine production log im only seeing 200 statuses, it seems to be generating the 404 at my apache proxy level

so it probably doesnt reach Redmine at all

this is my Redmine applicable Apache config, its a mongrel cluster

<VirtualHost 10.10.70.208:80>

ProxyPass / balancer://redmine_cluster/

ProxyPassReverse / balancer://redmine_cluster/

</VirtualHost>

<Proxy balancer://redmine_cluster/>

BalancerMember http://10.10.70.208:8000

BalancerMember http://10.10.70.208:8001

BalancerMember http://10.10.70.208:8002

BalancerMember http://10.10.70.208:8003

BalancerMember http://10.10.70.208:8004

BalancerMember http://10.10.70.208:8005

BalancerMember http://10.10.70.208:8006

BalancerMember http://10.10.70.208:8007

BalancerMember http://10.10.70.208:8008

BalancerMember http://10.10.70.208:8009

ProxySet lbmethod=bybusyness

</Proxy>

though im sure, its not suppose to diff the whole revision when you looking at one file, like its doing in this redmine.org installation?

basically when you on the revision view, that "view differences" link there is what you are taken to when you are viewing one of the files diffs and

choose a "view differences" option

i guess these are 2 different defects
#4 - 2010-09-05 11:57 - diafza diafza

heres the form on my installation:

<form action="/projects/webhouse/repository/diff/trunk%2Ftoplayouts.asp" method="get">

<input id="rev" name="rev" type="hidden" value="1976" />

&lt;p&gt;&lt;label&gt;View differences&lt;/label&gt;

  &lt;select id="type" name="type" onchange="if (this.value != '') {this.form.submit()}"&gt;&lt;option value="

inline" selected="selected"&gt;inline&lt;/option&gt;

&lt;option value="sbs"&gt;side by side&lt;/option&gt;&lt;/select&gt;&lt;/p&gt;

&lt;/form&gt;

 and heres the form on redmine.org installation

<form action="/projects/redmine/repository/revisions/4059/diff" method="get">

<input id="rev" name="rev" type="hidden" value="4059" />

&lt;p&gt;&lt;label&gt;View differences&lt;/label&gt;

  &lt;select id="type" name="type" onchange="if (this.value != '') {this.form.submit()}"&gt;&lt;option value="

inline"&gt;inline&lt;/option&gt;

&lt;option value="sbs" selected="selected"&gt;side by side&lt;/option&gt;&lt;/select&gt;&lt;/p&gt;

&lt;/form&gt;

 my one the %2F is generating a 404 at the apache proxy level

redmine.org is losing the file path all together

#5 - 2010-09-05 12:03 - diafza diafza

ok maybe im wrong in saying the 404 is generated at the proxy level, as the proxy shouldnt be able to tell the difference

but im not seeing it in the production log

#6 - 2010-09-05 13:32 - Jean-Baptiste Barth

Sorry to repeat myself:

Jean-Baptiste Barth wrote:

Please read SubmittingBugs and provide requested informations.

#7 - 2010-09-05 17:25 - Jean-Claude Wippler

same as #6242

#8 - 2010-09-05 19:51 - diafza diafza

is it maybe something to do with the escaping for #5548 ?

#9 - 2010-09-05 20:16 - Jean-Baptiste Barth

- Status changed from New to Closed

- Resolution set to Duplicate

Closing this one as a duplicate of #6242. Please continue the discussion there.

Powered by TCPDF (www.tcpdf.org)

2025-05-17 2/2

https://www.redmine.org/projects/redmine/wiki/SubmittingBugs
https://www.redmine.org/issues/6242
https://www.redmine.org/issues/5548
https://www.redmine.org/issues/6242
http://www.tcpdf.org

